Subject: mailman: please set authentication up so that it remembers the subscribers

From: Nagy Gabor Peter <[email-masked]>
Date: Fri, 25 May 2007 13:50:41 +0200

Package: mailman
Version: 1:2.1.9-7
Severity: wishlist

I wanted to use the scrub attachments option. Turning it on has removed
the attachments from the emails, and has put a URL in the message sent
to subscribers. So far it's OK.

The list has private archives, subscribers click on the link, they have
to authenticate themselves. That's OK.

But then the second mail arrives, the third, and every time they follow
the links, they have to authenticate themselves. Or so they complain.
There were some reports of having to authenticate only once, and being
able to view the archives. I don't know, probably they have kept their
browsers open, whatever.

The wish: could it be possible to set up mailman in a way, that it
stores a cookie for a long time, and uses the cookie for authorization?

So what I would like to have: I would like to check the archives today,
shut my machine down, then tomorrow, when I would like to check the
archives again, I would like to be able to do that without having to
give my password again.

Cheers,
Gabor

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages mailman depends on:
ii  adduser                     3.102        Add and remove users and groups
ii  cron                        3.0pl1-100   management of regular background p
ii  debconf [debconf-2.0]       1.5.11       Debian configuration management sy
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  lighttpd [httpd]            1.4.13-4     A fast webserver with minimal memo
ii  logrotate                   3.7.1-3      Log rotation utility
ii  lsb-base                    3.1-23.1     Linux Standard Base 3.1 init scrip
ii  postfix [mail-transport-age 2.3.8-2+b1   A high-performance mail transport 
ii  pwgen                       2.05-1       Automatic Password generation
ii  python                      2.4.4-2      An interactive high-level object-o
ii  python-support              0.5.6        automated rebuilding support for p
ii  ucf                         2.0020       Update Configuration File: preserv

mailman recommends no packages.

-- debconf information:
  mailman/gate_news: false
* mailman/site_languages: en
  mailman/queue_files_present:
* mailman/used_languages:
* mailman/default_server_language: en
* mailman/create_site_list: